{
  "custom": {
    "numberOfColumns": 6,
    "test": [
      {
        "Label": "Seq",
        "Value": 2,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Label": "Type",
        "Value": "StateChanged",
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Label": "When",
        "Value": "1670429640000",
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Label": "Source",
        "Value": "PLC01/054BV55",
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Label": "CurrentState",
        "Value": "",
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Label": "ReasonCode",
        "Value": "",
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      }
    ]
  },
  "params": {
    "checkedState": "False",
    "index": "value",
    "rowData": [
      [
        "Seq",
        2
      ],
      [
        "Type",
        "StateChanged"
      ],
      [
        "When",
        "1670429640000"
      ],
      [
        "Source",
        "PLC01/054BV55"
      ],
      [
        "CurrentState",
        ""
      ],
      [
        "ReasonCode",
        ""
      ]
    ]
  },
  "propConfig": {
    "custom.test": {
      "persistent": true
    },
    "params.checkedState": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.index": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.rowData": {
      "onChange": {
        "enabled": null,
        "script": "\tself.custom.numberOfColumns \u003d len(self.params.rowData)\n\t\n\tsystem.perspective.print(\"ROW SCRIPT\")\n\tsystem.perspective.print(self.params.rowData)\n\tinstances \u003d []\n\t\n\tfor col in self.params.rowData:\n\t\tsystem.perspective.print(col)\n\t\tinstance \u003d {\n\t\t\t    \"instanceStyle\": {\n\t\t\t      \"classes\": \"\"\n\t\t\t    },\n\t\t\t    \"instancePosition\": {},\n\t\t\t    \"Label\": col[0],\n\t\t\t    \"Value\": col[1]\n\t\t\t  }\n\t\tinstances.append(instance)\n\t\t\n\tself.getChild(\"root\").getChild(\"FlexRepeater\").props.instances \u003d instances\n\t\n\tself.custom.test \u003d instances\n"
      },
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 86,
      "width": 1220
    }
  },
  "root": {
    "children": [
      {
        "custom": {
          "SelectionData": "value"
        },
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "script": "\tsystem.perspective.print(self.view.params.index)\n\tmsg \u003d \"update_selectionData\"\n\tpayload \u003d {\n\t\t\"index\" : self.view.params.index,\n\t\t\"state\"\t: self.props.selected\n\t}\n\tsystem.perspective.sendMessage(msg, payload)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Checkbox"
        },
        "position": {
          "basis": "40px",
          "shrink": 0
        },
        "propConfig": {
          "props.selected": {
            "binding": {
              "config": {
                "path": "view.params.checkedState"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "marginRight": "2px"
          },
          "text": ""
        },
        "scripts": {
          "customMethods": [],
          "extensionFunctions": null,
          "messageHandlers": [
            {
              "messageType": "tableSelectionData",
              "pageScope": true,
              "script": "\t# implement your handler here\n\tself.custom.SelectionData \u003d payload",
              "sessionScope": false,
              "viewScope": false
            }
          ]
        },
        "type": "ia.input.checkbox"
      },
      {
        "custom": {
          "key": {
            "backgroundColor": "#F2F3F4",
            "borderStyle": "none",
            "classes": "FadeInFast, background, background-none",
            "cursor": "pointer",
            "max-height": "400px",
            "overflow": "visible"
          }
        },
        "meta": {
          "name": "FlexRepeater"
        },
        "props": {
          "elementPosition": {
            "basis": "150px"
          },
          "instances": [
            {
              "Label": "Seq",
              "Value": 2,
              "instancePosition": {},
              "instanceStyle": {
                "classes": ""
              }
            },
            {
              "Label": "Type",
              "Value": "StateChanged",
              "instancePosition": {},
              "instanceStyle": {
                "classes": ""
              }
            },
            {
              "Label": "When",
              "Value": "1670429640000",
              "instancePosition": {},
              "instanceStyle": {
                "classes": ""
              }
            },
            {
              "Label": "Source",
              "Value": "PLC01/054BV55",
              "instancePosition": {},
              "instanceStyle": {
                "classes": ""
              }
            },
            {
              "Label": "CurrentState",
              "Value": "",
              "instancePosition": {},
              "instanceStyle": {
                "classes": ""
              }
            },
            {
              "Label": "ReasonCode",
              "Value": "",
              "instancePosition": {},
              "instanceStyle": {
                "classes": ""
              }
            }
          ],
          "path": "Main-Views/Commissioning Tool/Column",
          "style": {
            "borderBottomLeftRadius": "5px",
            "borderBottomRightRadius": "5px",
            "borderStyle": "solid",
            "borderTopLeftRadius": "5px",
            "borderTopRightRadius": "5px",
            "borderWidth": "1px",
            "margin": "2px",
            "marginRight": 5,
            "overflow": "hidden",
            "radius": "4px"
          },
          "useDefaultViewHeight": false
        },
        "type": "ia.display.flex-repeater"
      },
      {
        "children": [
          {
            "events": {
              "component": {
                "onActionPerformed": {
                  "config": {
                    "script": "\tsystem.perspective.print(self.view.params.index)\n\tmsg \u003d \"measurementTab_deleteRows\"\n\tpayload \u003d {\"index\" : self.view.params.index}\n\tsystem.perspective.sendMessage(msg, payload)"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "Button"
            },
            "position": {
              "grow": 1
            },
            "props": {
              "image": {
                "icon": {
                  "path": "material/delete_forever"
                }
              },
              "primary": false,
              "style": {
                "margin": "10 px",
                "max-height": "40px"
              },
              "text": ""
            },
            "type": "ia.input.button"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "40px",
          "shrink": 0
        },
        "props": {
          "direction": "column",
          "justify": "center"
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "style": {
        "borderBottomLeftRadius": "5px",
        "borderBottomRightRadius": "5px",
        "borderTopLeftRadius": "5px",
        "borderTopRightRadius": "5px",
        "classes": "FadeInFast, background, background-none",
        "margin": "5px",
        "max-height": "75px"
      }
    },
    "type": "ia.container.flex"
  }
}